Disconnect an integration (staff)
DELETE /api/integrations/{id}. Disconnect an integration (staff). Headless LMS Integrations API reference.
Staff only (owner, admin, instructor). Destroys its stored secrets.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/integrations/string"null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Change a connection's configuration or active flag (staff) PATCH
PATCH /api/integrations/{id}. Change a connection's configuration or active flag (staff). Headless LMS Integrations API reference.
Replace a connection's secrets (staff) POST
POST /api/integrations/{id}/reconnect. Replace a connection's secrets (staff). Headless LMS Integrations API reference.